---
title: Window.visualViewport
slug: Web/API/Window/visualViewport
tags:
  - API
  - Experimental
  - Property
  - Reference
  - Visual Viewport API
  - VisualViewport
  - Window
---
<p>{{SeeCompatTable}}{{APIRef("Visual Viewport")}}</p>

<p>The <strong><code>visualViewport</code></strong> read-only property of the {{domxref("Window")}} interface returns a {{domxref("VisualViewport")}} object representing the visual viewport for a given window.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>visualViewport</em> = Window.visualViewport</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("VisualViewport")}} object.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Visual Viewport','#dom-window-visualviewport','visualViewport')}}</td>
   <td>{{Spec2('Visual Viewport')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.visualViewport")}}</p>
